### Method

# Gtk TextBufferget_selection_content

#### Declaration [src]

    GdkContentProvider*
    gtk_text_buffer_get_selection_content (
      GtkTextBuffer* buffer
    )

#### Description [src]

Get a content provider for this buffer.

It can be used to make the content of `buffer` available in a `GdkClipboard`, see `gdk_clipboard_set_content()`.

#### Return value

Type: `GdkContentProvider`

A new `GdkContentProvider`.

The caller of the method takes ownership of the data, and is responsible for freeing it.